/* ``The contents of this file are subject to the Erlang Public License,
 * Version 1.0, (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.erlang.org/EPL1_0.txt
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Erlang-4.7.3, December, 1998.
 * 
 * The Initial Developer of the Original Code is Ericsson Telecom
 * AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
 * Telecom AB. All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.''
 */
#include <ic.h>


void CORBA_free(void *storage) {
  if (storage != NULL) 
    free(storage); 
}


CORBA_char *CORBA_string_alloc(CORBA_unsigned_long len) {
  if (len > 0) 
    return (CORBA_char *) malloc(len);
  else
    return (CORBA_char *) NULL;
}



CORBA_char *CORBA_exception_id(CORBA_Environment *ev) {

  return ev->_exc_id;
}



void *CORBA_exception_value(CORBA_Environment *ev) {

  return ev->_exc_value;
}



void CORBA_exception_free(CORBA_Environment *ev) {
 
  /* Setting major value */
  ev->_major=CORBA_NO_EXCEPTION;

  /* Freeing storage */
  CORBA_free(ev->_exc_id);
  CORBA_free(ev->_exc_value);
}



void CORBA_exc_set(CORBA_Environment *ev, 
	      CORBA_exception_type Major, 
	      CORBA_char *Id, 
	      CORBA_char *Value) {

  int ilen,vlen;

  /* Counting lengths */
  ilen=strlen(Id)+1;
  vlen=strlen(Value)+1;
  
  /* Allocating storage */
  ev->_exc_id=(CORBA_char *) malloc(ilen);
  ev->_exc_value=(CORBA_char *) malloc(vlen);

  /* Initiating */
  ev->_major=Major;
  strcpy(ev->_exc_id,Id);
  strcpy(ev->_exc_value,Value);
}




