/* ``The contents of this file are subject to the Erlang Public License,
 * Version 1.0, (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * http://www.erlang.org/EPL1_0.txt
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific language governing rights and limitations
 * under the License.
 * 
 * The Original Code is Erlang-4.7.3, December, 1998.
 * 
 * The Initial Developer of the Original Code is Ericsson Telecom
 * AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
 * Telecom AB. All Rights Reserved.
 * 
 * Contributor(s): ______________________________________.''
 */
#ifndef _CBACK_H
#define _CBACK_H

/* RCS: $Id: cback.h,v 1.7 1996/04/09 13:09:03 tobbe Exp $ */

#include "ig.h"

/* Test examples:
 *
 * 1> Z=cback:start().
 * <0.13.0>
 * 2> {_,Foo}=ig:adr_of(Z,foo).
 * {ok,9668}
 * 3> cback:call_foo(Z,Foo).
 *  call_foo calling..
 *  foo <0.12.0>: Attribute = Hello World !
 *  foo <0.12.0>: returning = 42
 *  call_foo got: 42
 * ok
 * 4> {_,Bar}=ig:adr_of(Z,bar).
 * {ok,9432}
 * 5> cback:call_bar(Z,Bar).
 *  call_bar casting..
 * ok
 *  bar <0.12.0>: Attribute = casting , Key = 314
 * 6> self().
 * <0.12.0>
 */

/* C functions to be generated that will call 
 * their Erlang counterparts 
 */
IG_call int foo(IG_string attribute);
IG_cast void bar(IG_string attribute, int key);

/* Routines that we will use in order to call 
 * the generated C functions 
 */
IG_void void call_foo(IG_PTR fp);
IG_void void call_bar(IG_PTR fp);

#endif
