%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.0, (the "License"); you may not use this file except in
%% compliance with the License. You may obtain a copy of the License at
%% http://www.erlang.org/EPL1_0.txt
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Original Code is Erlang-4.7.3, December, 1998.
%% 
%% The Initial Developer of the Original Code is Ericsson Telecom
%% AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
%% Telecom AB. All Rights Reserved.
%% 
%% Contributor(s): ______________________________________.''
%%
%% Copyright (C) 1995, Ellemtel Telecommunications Systems Laboratories
%%-----------------------------------------------------------------------
%% Created:  21 Feb 1995 by peterl@erix.ericsson.se
%% Function: Contains CSASL handling stuff for IG.
%%-----------------------------------------------------------------------
%% 



%% - CSASL -
%%
%% Handling of the CSASL hooks:
%% ----------------------------
%%
%%



%% - CSASL -
%%
%%	List of {HookName,Id,TranslationId} where Id is the index in
%%	the funs array in ig C stub and TranslationId is used to find
%%	the correct hook from igserver.
%%
-define(CSASLHOOKS,[{erl_c_init,	0,	init,		void},
		    {erl_c_terminate,	1,	terminate,	void},
		    {erl_c_get_state,	2,	get_state,	binary},
		    {erl_c_suspend,	3,	suspend,	void},
		    {erl_c_resume,	4,	resume,		void},
		    {erl_c_trace,	5,	trace,		void},
		    {erl_c_get_status,	6,	get_status,	string},
		    {erl_c_log,		7,	log,		void},
		    {erl_c_log_to_file,	8,	log_to_file,	void},
		    {erl_c_no_debug,	9,	no_debug,	void}
		   ]).


%% - CSASL -
%%
%%	Utility macros for handling the list of hooks
%%
-define(get_name(Hook), element(1,Hook)).

-define(is_hook(Name,Hooks),
	case lists:keysearch(Name,1,Hooks) of
	    {value,_} -> true;
	    _ -> false
	end).

-define(get_retval(Name,Hooks),
	case lists:keysearch(Name,1,Hooks) of
	    {value,{_,_,_,RetVal}} -> RetVal;
	    _ -> false
	end).

-define(get_hook(Trans,Hooks),
	case lists:keysearch(Trans,3,Hooks) of
	    {value,{_Name_,_Ix_,_,_}} -> {_Name_,_Ix_};
	    _ -> false
	end).

