%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.0, (the "License"); you may not use this file except in
%% compliance with the License. You may obtain a copy of the License at
%% http://www.erlang.org/EPL1_0.txt
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Original Code is Erlang-4.7.3, December, 1998.
%% 
%% The Initial Developer of the Original Code is Ericsson Telecom
%% AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
%% Telecom AB. All Rights Reserved.
%% 
%% Contributor(s): ______________________________________.''
%%
%-*- erlang -*-

-define(UNKNOWN, []).

-define(NO_MODULE, []).

-record(pred_sym, {module	= ?NO_MODULE,
		   functor,
		   line		= 0,
		   type		= ?UNKNOWN,	% table, rule
		   recursive	= ?UNKNOWN,	% recursive, non_recursive
		   args,
		   original_args_vars = ordsets:new_set(),
		   record_def   = ?UNKNOWN,
		   defvars	= ordsets:new_set(),
		   singelvars	= ordsets:new_set(),
		   pattern,
		   back_pattern,
		   idx_method	= no_idx	% {dyn_idx,Pos}
						% {stat_idx,Pos}
						% {key.Pos}
		  }).


-record(constraint, {exprL,
		     exprR,
		     op,
		     line	= 0
		    }).


-record(rec_f, {var,
		line	= 0,
		name = ?UNKNOWN,
		field}).

-record(rec_c, {line = 0,
		name = ?UNKNOWN,
		fields = []}).


%% The "code" produced by the optimizer is a list of the following record

-record(disj_alt, {bs		= mnemosyne_unify:empty_bindings(),
		   constraints	= [],
		   alias	= [],
		   conj		= [],
		   fncalls	= [],
		   size_estimate= 0,
		   sign		= ordsets:new_set()
		  }).
	
-record(fn, {alias_var,
	     fndef
	    }).

-record(erl_expr, {alias_var,
		   expr}).

-record(optimizer_result, {how_to_eval = query_eval, 
			   %% mnesia_match | mnesia_match_build
			   pattern,
			   common_bs = mnemosyne_unify:empty_bindings(),
			   code = []}).

