%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.0, (the "License"); you may not use this file except in
%% compliance with the License. You may obtain a copy of the License at
%% http://www.erlang.org/EPL1_0.txt
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Original Code is Erlang-4.7.3, December, 1998.
%% 
%% The Initial Developer of the Original Code is Ericsson Telecom
%% AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
%% Telecom AB. All Rights Reserved.
%% 
%% Contributor(s): ______________________________________.''
%%
-include_lib("orber/src/orber_iiop.hrl").

-define(NIL_OBJ_REF, #'IOP_IOR' {type_id = "", profiles = []}).


%% set all object references to NIL object reference
-record(event_channel, { pid, 
						consumer_admin = ?NIL_OBJ_REF, 
						supplier_admin = ?NIL_OBJ_REF, 
						ppush_consumers = [], 
						ppull_suppliers = [], 
						ppull_consumers = [], 
						ppush_suppliers = []}).

-record(consumer_admin, {event_channel_pid, 
						event_channel = ?NIL_OBJ_REF}).

-record(supplier_admin, {event_channel_pid, 
						event_channel = ?NIL_OBJ_REF}).

-record(proxy_consumer, {event_channel_pid,
						event_channel = ?NIL_OBJ_REF, 
						supplier_pid,
						supplier = ?NIL_OBJ_REF}).

-record(proxy_supplier, {event_channel_pid,
						event_channel = ?NIL_OBJ_REF, 
						consumer_pid,
						consumer = ?NIL_OBJ_REF}).

-record(proxy_pull_supplier, {event_channel_pid,
						event_channel = ?NIL_OBJ_REF, 
						consumer_pid,
						consumer = ?NIL_OBJ_REF, 
						queue = []}).

% exceptions
-record('Disconnected', {}).
-record('AlreadyConnected', {}).
-record('TypeError', {}).


