{application, orber,
 [{description, "The Erlang ORB application"},
  {summary,"A CORBA Object request Broker."},
  {abstract,"The Orber application is an Erlang
      implementation of the OMG
      CORBA 2.0 environment. The parts
      which are implemented are
      compliant to 2.0"},
  {vsn, "2.0.2"},
  {modules,
     [
	'CosEventChannelAdmin_ConsumerAdmin',
	'CosEventChannelAdmin_ConsumerAdmin_impl',
	'CosEventChannelAdmin_EventChannel',
	'CosEventChannelAdmin_ProxyPullConsumer',
	'CosEventChannelAdmin_ProxyPullSupplier',
	'CosEventChannelAdmin_ProxyPushConsumer',
	'CosEventChannelAdmin_ProxyPushSupplier',
	'CosEventChannelAdmin_SupplierAdmin',
	'CosEventChannelAdmin_SupplierAdmin_impl',
	'CosNaming_BindingIterator',
	'CosNaming_BindingIterator_impl',
	'CosNaming_NamingContext',
	'CosNaming_NamingContext_impl',
	'CosNaming_NamingContext_NotFound',
	'CosNaming_NamingContext_NotEmpty',
	'CosNaming_NamingContext_InvalidName',
	'CosNaming_NamingContext_CannotProceed',
	'CosNaming_NamingContext_AlreadyBound',
	'CosNaming_NameComponent',
	'CosNaming_Binding',
	'oe_CosEventChannelAdmin',
	'oe_OrberEventChannelAdmin',
	'oe_cos_naming',
	'oe_event_channel_factory',
	'OrberEventChannelAdmin_EventChannel',
	'OrberEventChannelAdmin_EventChannel_impl',
	'OrberEventChannelAdmin_ProxyPullConsumer',
	'OrberEventChannelAdmin_ProxyPullConsumer_impl',
	'OrberEventChannelAdmin_ProxyPullSupplier',
	'OrberEventChannelAdmin_ProxyPullSupplier_impl',
	'OrberEventChannelAdmin_ProxyPushConsumer',
	'OrberEventChannelAdmin_ProxyPushConsumer_impl',
	'OrberEventChannelAdmin_ProxyPushSupplier',
	'OrberEventChannelAdmin_ProxyPushSupplier_impl',
	'OrberEventChannel_EventChannelFactory',
	'OrberEventChannel_EventChannelFactory_impl',
	'CosEventChannelAdmin_TypeError',
	'CosEventChannelAdmin_AlreadyConnected',
	corba_boa,
	cdr_decode,
	cdr_encode,
	cdrlib,
	corba,
	iop_ior,
	lname,
	lname_component,
	corba_object,
	any,
	orber,
	orber_tc,
	orber_bootstrap,
	orber_ifr,
	orber_ifr_aliasdef,
	orber_ifr_arraydef,
	orber_ifr_attributedef,
	orber_ifr_constantdef,
	orber_ifr_contained,
	orber_ifr_container,
	orber_ifr_enumdef,
	orber_ifr_exceptiondef,
	orber_ifr_idltype,
	orber_ifr_interfacedef,
	orber_ifr_irobject,
	orber_ifr_moduledef,
	orber_ifr_operationdef,
	orber_ifr_orb,
	orber_ifr_primitivedef,
	orber_ifr_repository,
	orber_ifr_sequencedef,
	orber_ifr_stringdef,
	orber_ifr_structdef,
	orber_ifr_typecode,
	orber_ifr_typedef,
	orber_ifr_uniondef,
	orber_ifr_utils,
	orber_iiop,
	orber_iiop_bridge,
	orber_iiop_net,
	orber_iiop_netsup,
	orber_imr,
	orber_initial_references,
	orber_new_socket,
	orber_objectkeys,
	orber_old_socket,
	orber_request_number,
	orber_typedefs,
	oe_erlang,
	erlang_pid,
	erlang_port,
	erlang_ref
    ]
  },
  {registered, [orber_sup, orber_iiop_sup, orber_iiop_net, orber_iiop_netsup, orber_bootstrap,
		orber_init, orber_reqno, orber_objkeyserver, orber_nameservice]},
  {applications, [mnesia, stdlib, kernel]},
  {env, []},
  {mod, {orber, []}}
]}.


