%% ``The contents of this file are subject to the Erlang Public License,
%% Version 1.0, (the "License"); you may not use this file except in
%% compliance with the License. You may obtain a copy of the License at
%% http://www.erlang.org/EPL1_0.txt
%% 
%% Software distributed under the License is distributed on an "AS IS"
%% basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
%% the License for the specific language governing rights and limitations
%% under the License.
%% 
%% The Original Code is Erlang-4.7.3, December, 1998.
%% 
%% The Initial Developer of the Original Code is Ericsson Telecom
%% AB. Portions created by Ericsson are Copyright (C), 1998, Ericsson
%% Telecom AB. All Rights Reserved.
%% 
%% Contributor(s): ______________________________________.''
%%
%%
%% systools.hrl
%%

%% this is the structure of a release

-record(release, 
	{
	 name,        %% the name of the release (an atom)
	 vsn,         %% the version number of the release (any Term)
	 erts_vsn,    %% a string describing the erts vsn
	 applications,%% [{Name,Vsn,Type}] list of required
	              %% applications - the applications are started in 
	              %% the order given in this list, if no other dependencies
                      %% are found.
	 incl_apps    %% [{Name,[App]}] list of include specifications.
	}).

-record(application, 
	{name,             %% the name of the application (an atom)
         type = permanent, %% the app start type
	 vsn = "",         %% the version number of the application (a string)
	 id = "",          %% the identification of the application (a string)
	 description = "", %% a string descriping the application
	 modules = [],     %% [{Module,Vsn}] lists of modules required by
	                   %% the application.
	 uses = [],        %% [Application] list of applications required
	                   %% by this application
	 includes = [],    %% [Application] list of applications included
	                   %% by this application
	 regs = [],        %% [atom()] a list of registered process names used
	                   %% by this application
	 env = [],         %% [{Key,Value}] environment variable of application
	 maxT = infinity,  %% max time an application may exist (int() | infinity).
	 maxP = infinity,  %% max number of processes in an application
                           %% (int() | infinity).
	 mod = [],         %% the application behaviour module and arguments.
	 start_phases = [],%% the application's start phases.
         dir = ""          %% Internal use; The directory there the .app file
                           %% was found.
	}).
